Subject: RE: CygUtils Version of zip (and Symlinks)
From: Earnie Boyd <[email-masked]>
To: "Parker, Ron" <[email-masked]>, Cosmin Truta <[email-masked]>, Charles Wilson <[email-masked]>
Cc: Jason Tishler <[email-masked]>, [email-masked]
Date: Thu, 25 May 2000 09:19:19 -0700 (PDT)

--- "Parker, Ron" <[email-masked]> wrote:
> > > When you get right down to it, cygwin is NOT windows. It 
> > does everything
> > > it can to make windows look like Unix, so that apps can run 
> > *as if they
> > > were on unix* with little or no changes. So, by that logic,
> > > cygwin-zip/unzip =should= be built as unix-ish apps, not windows-ish
> > > ones.
> > 
> > Maybe you are right.
> > I personally look at gcc as a free alternative for a good 
> > Win32 compiler,
> > but I agree that cygwin is a "Unix on Win" and maybe most of 
> > the people
> > look at it that way.
> 
> ISTM that the right behavior would be for cygwin to build a UNIX-ish (un)zip
> and for mingw to build a Windows style program.  As already pointed out
> cygwin should be thought of as "Unix on Win" and IMO mingw should be thought
> of as "as a free alternative for a good Win32 compiler". 
> 

I agree.

> I realize that cygwin and mingw are both supported by the same compiler, but
> supplying -mno-cygwin causes gcc to switch from cygwin to mingw behavior and
> __MINGW32__ becomes defined.
> 

This is really a pseudo cross-compile and would be better handled IMO as a true
canadian-cross so that the headers and support libs aren't in the same
directory.

> This may be more a question for cygwin-developers, but I hate crossposts and
> know most readers of that list at least review this one.  So, wouldn't it be
> appropriate when compiling without -mno-cygwin for the specs file to define
> "unix", "UNIX" and similar "standard" defines?  They seem to be checked for
> in newlib, zlib, X11, and many other sources?
> 

Well actually, I've wondered about adding unix and linux and 'similar
"standard" defines' myself.  What would you consider "standard"?

> Yes I know I can make this change in my local sources, but I prefer to work
> with standard sources and now seemed a good time to bring it up.  I have
> been wondering about it for some time.

I have modified my specs file to remove the defines for _WIN32 and WINNT.  I've
thought of adding unix type defines but haven't yet.

Regards,

=====
---
   Earnie Boyd: <mailto:[email-masked]>
            __Cygwin: POSIX on Windows__
Cygwin Newbies: <http://www.freeyellow.com/members5/gw32/index.html>
           __Minimalist GNU for Windows__
  Mingw32 List: <http://www.egroups.com/group/mingw32/>
    Mingw Home: <http://www.mingw.org/>

__________________________________________________
Do You Yahoo!?
Kick off your party with Yahoo! Invites.
http://invites.yahoo.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]